<style type="text/css">
    /*@#include#(codeStyles.css)*/
    /*@#include#(taskStyles.css)*/
</style>


<div id="${{{qid}}}_questionDiv">
    <div id="${{{qid}}}_taskDescDiv" class="taskDescription">
        <p onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement('${{{qid}}}_taskDesc')" class="headerStyle">
            Bresenhamov
            algoritam</p>
        <p class="textStyle" id="${{{qid}}}_taskDesc">
            Bresenhamovim algoritmom nacrtati liniju na rasteru između zadanih točaka
            \(T_s\)\((@#echo#(*html* $x0), @#echo#(*html* $y0))\)
            \( \; i \;\, T_e\)
            \((@#echo#(*html* $x1), @#echo#(*html* $y1))\).
            U ćelije upisati vrijednosti parametra <b>D</b> iz algoritma. Vrijednost u ćeliji mora biti jednaka
            vrijednosti <b>D</b>
            prije "if" grananja. Podatke za \(T_s\) i \(T_e\) nije potrebno unositi.
            Pseudo k&ocirc;d algoritma koji crta liniju (zasebno za pozitivne te negativne kuteve) dan je u nastavku.
        </p>

    </div>
    <div class="taskHTU" id="${{{qid}}}_htu">
        <p class="headerStyle" onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement('${{{qid}}}_htuDesc')"
           id="${{{qid}}}_htuHeader">Upute</p>
        <p class="textStyle" id="${{{qid}}}_htuDesc">
            Lijevim klikom miša na ćeliju, ćelija se označava. Ponovnim lijevim klikom na označenu ćeliju,
            ćelija će se odznačiti (time ćete izgubiti i upisanu vrijednost u ćeliju). Lijevim dvoklikom na ćeliju
            otvara se dijalog kroz koji je moguće unijeti traženi iznos pogreške D u ćeliju. Točnost unesenih brojeva
            provjerava se na 3 decimale.
        </p>
    </div>

    <hr>
    <div align="center">
        <button id="${{{qid}}}_errorBarBtn" style="display:none" class="btn btn-primary"
                onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleErrorBar();">
            Prikaži liniju s pogreškama
        </button>
    </div>


    <div align="center">
        <canvas id="${{{qid}}}_questionCanvas" width="900" height="570" tabindex="1"></canvas>
    </div>
    <hr>

    <table width="100%">
        <tr>
            <th>
                <div onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement( '${{{qid}}}_codePos')"
                     class="algorithmBorders">Algoritam za pozitivne kuteve
                </div>
            </th>
            <th>
                <div onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement( '${{{qid}}}_codeNeg')"
                     class="algorithmBorders">Algoritam za negativne kuteve
                </div>
            </th>
        </tr>

        <tr>
            <td width="50%">
              <pre id="${{{qid}}}_codePos" class="customCodeStyle">
int dx = xe - xs;
int dy = ye - ys;

double tg = dy / (float) dx;
double D = 0;
double y = ys;

for (int x = xs; x &lt;= xe; x++) {
    putPixel(x, y);
    D += tg;
    if (D &gt;= 0.5) {
        y = y + 1;
        D = D - 1.0;
    }
}</pre>
            </td>
            <td width="50%">
         <pre id="${{{qid}}}_codeNeg" class="customCodeStyle">
int dx = xe - xs;
int dy = ye - ys;

double tg = dy / (float) dx;
double D = 0;
double y = ys;

for (int x = xs; x &lt;= xe; x++) {
    putPixel(x, y);
    D += tg;
    if (D &lt;= -0.5) {
        y = y - 1;
        D = D + 1.0;
    }
}</pre>
            </td>
    </table>


    <div class="dimmedWindow" id="${{{qid}}}_myDim"></div>

    <!-- Modal With Bootstrap -->
    <div id="${{{qid}}}_modalDialog" class="modal" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header modal-header-custom">
                    <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').closeDialog();"
                            class="close"
                            data-dismiss="modal">&times;
                    </button>
                    <h4><b>Unos vrijednosti</b></h4>
                </div>
                <div class="modal-body modal-body-custom ">
                    <form name="${{{qid}}}_boxForm" onsubmit="return qGlobalObject('${{{qid}}}', 'gObj').validateForm()"
                          method="post">
                        Unesite iznos: <input id="${{{qid}}}_inputBoxId" title="myInput" type="number"
                                              name="${{{qid}}}_boxValue"
                                              step="any"
                                              min="-99" max="99">
                        <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').validateForm()"
                                class="btn btn-primary">
                            Spremi
                        </button>
                    </form>
                </div>
                <div class="modal-footer modal-footer-custom">
                    <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').closeDialog();"
                            class="btn btn-danger"
                            data-dismiss="modal">Close
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

